Bug 1997958 (CVE-2021-3739)

Summary: CVE-2021-3739 kernel: null-ptr-dereference bug in btrfs_rm_device in fs/btrfs/volumes.c
Product: [Other] Security Response Reporter: Dhananjay Arunesh <darunesh>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: acaringi, adscvr, airlied, alciregi, bhu, brdeoliv, bskeggs, chwhite, dhoward, dvlasenk, fhrbata, fpacheco, hdegoede, hkrzesin, jarod, jarodwilson, jeremy, jforbes, jglisse, jlelli, jonathan, josef, jshortt, jstancek, jwboyer, kcarcia, kernel-maint, kernel-mgr, lgoncalv, linville, masami256, mchehab, nmurray, ptalbert, qzhao, rkeshri, rvrbovsk, security-response-team, steved, swood, walters, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A NULL pointer dereference flaw was found in the btrfs_rm_device function in fs/btrfs/volumes.c in the Linux Kernel, where triggering the bug requires ‘CAP_SYS_ADMIN’. This flaw allows a local attacker to crash the system or leak kernel internal information. The highest threat from this vulnerability is to system availability.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-08-30 11:57:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1997960    
Bug Blocks: 2002254, 1997939    

Description Dhananjay Arunesh 2021-08-26 07:26:25 UTC
A NULL pointer dereference flaw was found in btrfs_rm_device function in fs/btrfs/volumes.c in Linux Kernel, where triggering the bug requires ‘CAP_SYS_ADMIN’. This could allow a local attacker to crash the system or leak kernel internal information.

References:
https://lore.kernel.org/linux-btrfs/CAFcO6XO5TC5sEo-C9JGC75JkNAzkOSSLA3a=bwQqXFFbRTZ7Gw@mail.gmail.com/T/#md4b850f33616b7364f86e6fed144abc925f3669c
https://lore.kernel.org/linux-btrfs/20210806102415.304717-1-wqu@suse.com/T/#u

Comment 1 Dhananjay Arunesh 2021-08-26 07:29:44 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1997960]

Comment 6 Product Security DevOps Team 2021-08-30 11:57:30 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3739

Comment 7 Justin M. Forbes 2021-09-08 15:11:32 UTC
This was fixed for Fedora with the 5.13.14 stable kernel updates.